Return one Role by tenant, domain and role id.

Permission Level: Read

GET /users/roles/{roleId}

Operation id: RoleService_GetRole

Tags: RoleService

Parameters

Path parameters

NameTypeRequiredDescription
roleIdstringYes

Query parameters

NameTypeRequiredDescription
domainstringNo
fieldMaskstringNoFieldMask to control what fields are to be returned, if empty assumes everything, Required: false Valid path names are names of each field in the RoleResponse proto
identifierTypestringNoif identifier_type is ROLE_ID, then the role_id field is used as role_id for the role within a tenant and domain and scope. if identifier_type is GLOBAL_ID, then the role_id field is used as global_id for the role which is tenant_id + domain + scope + role_id concenated together. Required: false, Default: ROLE_ID - ROLE_ID: Identifier is a role_id, which is unique within a tenant and domain - GLOBAL_ID: Identifier is a global_id, which is tenant_id + domain + scope + role_id
includePermissionsbooleanNoif include permissions is true, it returns the role with its permissions, Default: false, Required: false
scopestringNo
tenantIdstringNo

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
globalIdstringNo
tenantIdstringNo
domainstringNo
scopestringNoSome more general scoping for the data (like a particular app in the domain). Required: false.
roleIdstringNo
descriptionstringNoRole description. Required: false.
usersarrayNo
rolesarrayNo
systemLevelbooleanNo
workspacesarrayNo
permissionsIdsarrayNo
deactivatedbooleanNo
creationTimestring (date-time)No
lastUpdatedstring (date-time)No
displayNamestringNo
dynamicbooleanNo
attributesarrayNo
roleTypestringNo
{
  "type": "object",
  "properties": {
    "globalId": {
      "type": "string"
    },
    "tenantId": {
      "type": "string"
    },
    "domain": {
      "type": "string"
    },
    "scope": {
      "type": "string",
      "description": "Some more general scoping for the data (like a particular app in the domain). Required: false."
    },
    "roleId": {
      "type": "string"
    },
    "description": {
      "type": "string",
      "description": "Role description. Required: false."
    },
    "users": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "tenantId": {
            "type": "string",
            "description": "The ID of the tenant. Required: false. Defaults to the tenant of the user making the call."
          },
          "userId": {
            "type": "string",
            "description": "The user ID. Required: true."
          },
          "firstName": {
            "type": "string",
            "description": "The first name. Required: false."
          },
          "lastName": {
            "type": "string",
            "description": "The last name. Required: false."
          }
        }
      }
    },
    "roles": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "tenantId": {
            "type": "string",
            "description": "The ID of the tenant. Required: false. Defaults to the tenant of the user making the call."
          },
          "domain": {
            "type": "string",
            "description": "The platform domain. Required: true. (e.g. ZPA, Reflexis, WFC)\nDefaults to the domain in the request."
          },
          "scope": {
            "type": "string",
            "description": "Some more general scoping for the data (like a particular app in the domain). Required: false."
          },
          "roleId": {
            "type": "string",
            "description": "The role ID. Required: true."
          },
          "userIds": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        }
      }
    },
    "systemLevel": {
      "type": "boolean"
    },
    "workspaces": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "tenantId": {
            "type": "string",
            "description": "The ID of the tenant. Required: false. Defaults to the tenant of the user making the call."
          },
          "name": {
            "type": "string"
          },
          "workspaceType": {
            "type": "string"
          },
          "userIds": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        }
      }
    },
    "permissionsIds": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "deactivated": {
      "type": "boolean"
    },
    "creationTime": {
      "type": "string",
      "format": "date-time"
    },
    "lastUpdated": {
      "type": "string",
      "format": "date-time"
    },
    "displayName": {
      "type": "string"
    },
    "dynamic": {
      "type": "boolean"
    },
    "attributes": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "scope": {
            "type": "string"
          },
          "fieldName": {
            "type": "string"
          },
          "value": {
            "type": "string"
          },
          "domain": {
            "type": "string"
          }
        }
      }
    },
    "roleType": {
      "type": "string",
      "enum": [
        "UNDEFINED",
        "USER",
        "ADMIN"
      ],
      "default": "UNDEFINED"
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}